using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public static class TextBox
    {
        private static string text;
        public static string Text
        {
            get
            {
                text = HandlerProvider.TextBoxHandler.Text;
                return text;
            }
            set
            {
                text = value;
                HandlerProvider.TextBoxHandler.Text = text;
            }
        }
        public static TextBoxHandler Click(string name, int repeatingTime = 0)
        {
            return HandlerProvider.TextBoxHandler.Click(name, repeatingTime);
        }
        public static TextBoxHandler DoubleClick(string name, int repeatingTime = 0)
        {
            return HandlerProvider.TextBoxHandler.DoubleClick(name, repeatingTime);
        }
        public static TextBoxHandler ClickByName(string name, int repeatingTime = 0)
        {
            return HandlerProvider.TextBoxHandler.ClickByName(name, repeatingTime);
        }
        public static TextBoxHandler ClickByAutomationId(string name, int repeatingTime = 0)
        {
            return HandlerProvider.TextBoxHandler.ClickByAutomationId(name, repeatingTime);
        }
        public static TextBoxHandler Find(string name, int repeatingTime = 0)
        {
            return HandlerProvider.TextBoxHandler.Find(name, repeatingTime);
        }
        public static TextBoxHandler Find(int id)
        {
            return HandlerProvider.TextBoxHandler.Find(id);
        }
        public static bool IsVisible(string value, int repeatingTime = 0)
        {
            if (HandlerProvider.TextBoxHandler.IsVisible(value, repeatingTime) == true)
            {
                return true;
            }
            return false;
        }
        public static bool Exist(string value, int repeatingTime = 0)
        {
            if (HandlerProvider.TextBoxHandler.Exist(value, repeatingTime) == true)
            {
                return true;
            }
            return false;
        }
    }
}
